package gotowe.p36_lokalizacja.formatowanie;

import java.text.DecimalFormat;
import java.text.NumberFormat;
import java.util.Locale;

public class TestDecimalFormat2 {

	public static void main(String[] args) {
		Locale locale = new Locale("de", "DE");
		double number = 1246.36;
		DecimalFormat df = (DecimalFormat) NumberFormat.getInstance(locale); 
		System.out.println(df.format(number));

		df.applyPattern("0.0E00");
		System.out.println(df.format(number));

		df.applyLocalizedPattern("0,0##E0");
		System.out.println(df.format(number));
	}

}
